kr.co.hanwha.hifive.data.model

## Class TaskListData

- java.lang.Object
- - kr.co.hanwha.hifive.data.model.TaskData
  - - kr.co.hanwha.hifive.data.model.TaskListData

    public class TaskListData
    extends TaskData

Created by sanghoonkwon on 2018. 1. 11..

### Field Summary

Fields
`(package private) java.lang.String` `author_name` ex) ""
`(package private) java.lang.String` `author_profile_url` ex) ""
`(package private) int` `package_id` ex) 1
`(package private) int` `ref_task_id`
`(package private) int` `request_type` ex) 10
`(package private) java.lang.String` `server_time`

### Fields inherited from class kr.co.hanwha.hifive.data.model.TaskData

`author_member_id, closed_at, created_at, description, due_to, evaluation, finished_at, flag, is_today, member_id, member_name, member_profile_url, project_id, project_name, repeat_day, status, task_id, task_name, timezone, track_id, updated_at`

### Constructor Summary

Constructors
Constructor and Description
`TaskListData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAuthor_name()`
`java.lang.String` `getAuthor_profile_url()`
`int` `getPackage_id()`
`java.lang.String` `getServer_time()`
`void` `setServer_time(java.lang.String server_time)`
`java.lang.String` `toString()`

### Methods inherited from class kr.co.hanwha.hifive.data.model.TaskData

`getAuthor_member_id, getClosed_at, getCreated_at, getDescription, getDue_to, getEvaluation, getFinished_at, getFlag, getMember_id, getMember_name, getMember_profile_url, getProject_id, getProject_name, getRepeat_day, getStatus, getTask_id, getTask_name, getTimezone, getTrack_id, getUpdated_at, isIs_today, setDescription, setDue_to, setIs_today, setRepeat_day, setStatus, setTask_name`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### request_type

    int request_type

ex) 10

#### package_id

    int package_id

ex) 1

#### author_name

    java.lang.String author_name

ex) ""

#### author_profile_url

    java.lang.String author_profile_url

ex) ""

#### ref_task_id

    int ref_task_id

#### server_time

    java.lang.String server_time

### Constructor Detail

#### TaskListData

    public TaskListData()

### Method Detail

#### getPackage_id

    public int getPackage_id()

#### getServer_time

    public java.lang.String getServer_time()

#### setServer_time

    public void setServer_time(java.lang.String server_time)

#### getAuthor_name

    public java.lang.String getAuthor_name()

#### getAuthor_profile_url

    public java.lang.String getAuthor_profile_url()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`